Support » Plugin: No Future Posts » WP 3.5, > plugin gives errors

  • This plugin did exactly what I wanted, until I updated to WP3.5.
    The plugin gives the following errors:

    Warning: Missing argument 2 for wpdb::prepare(), called in .../wp-content/plugins/no-future-posts/no-future-posts.php on line 74 and defined in .../wp-includes/wp-db.php on line 990
    
    Warning: Missing argument 2 for wpdb::prepare(), called in .../wp-content/plugins/no-future-posts/no-future-posts.php on line 81 and defined in .../wp-includes/wp-db.php on line 990
    
    Warning: Missing argument 2 for wpdb::prepare(), called in .../wp-content/plugins/no-future-posts/no-future-posts.php on line 74 and defined in .../wp-includes/wp-db.php on line 990
    
    Warning: Missing argument 2 for wpdb::prepare(), called in .../wp-content/plugins/no-future-posts/no-future-posts.php on line 81 and defined in .../wp-includes/wp-db.php on line 990
    
    Warning: Cannot modify header information - headers already sent by (output started at .../wp-includes/wp-db.php:990) in .../wp-includes/pluggable.php on line 876

    Can you please fix it for WP3.5?

    http://wordpress.org/extend/plugins/no-future-posts/

Viewing 8 replies - 1 through 8 (of 8 total)
  • I wish I had seen this a few minutes ago. I recognize the bottom line that says ‘pluggable.php on line 876’. Same exact error I had, same line. Every time I made a change to ANY plugin, I would get that error. I fixed it by removing a plugin, although I can’t remember the exact name of it. I think it was called ‘Custom Ads Sidebar’ or something along those lines. Delete that plugin, and all will go back to normal.

    If you don’t have that particular plugin, then start re-naming plugins one at a time until you isolate it. Hope that helps you.

    Same issue here with the No Future Post (version 1.3) plugin and WP 3.5

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/wp-content/plugins/no-future-posts/no-future-posts.php on line 74 and defined in /home/wp-includes/wp-db.php on line 990
    
    Warning: Missing argument 2 for wpdb::prepare(), called in /home/wp-content/plugins/no-future-posts/no-future-posts.php on line 81 and defined in /home/wp-includes/wp-db.php on line 990

    Seems like 3.5 isn’t too happy with the way the DB connection is being done.

    Anyone have any ideas? The author’s website http://www.tomsdimension.de/ seems to be down, so that might be a dead end

    thank you!

    I checked back on the author’s website and he released a patched version

    http://www.tomsdimension.de/wp-plugins/no-future-posts

    I deactivated, deleted, then reinstalled. Now it’s fixed. Hopefully the author will update the version number and release the update so that it becomes available through WP.

    Hope this helps.

    there might be a simpler function.php code add to take care of this without the use of a plugin… http://wordpress.org/support/topic/publish-scheduled-posts-in-35?replies=7

    testing now.

    Found this on the internet, http://mysitemyway.com/support/topic/show-posts-with-future-date-in-archives:

    Add this to your functions.php and remove the No Future Posts-plugin.

    function custom_archive_query($query) {
              if ( $query->is_archive() ) { $query->set( 'post_status',
         array('future', 'publish') ); } return $query;
         }
         add_filter( 'pre_get_posts', 'custom_archive_query' );

    It works!

    THANK YOU. Solved, bye plugin! 🙂

    Mmmm, just discovered that this function only works in the site when you’re logged in. You can’t visit the future-post if you’re not logged in. Hope to find a solution soon…

    upgraded to WP 3.6 and am getting this error:

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/deanne/public_html/wp-content/plugins/no-future-posts/no-future-posts.php on line 74 and defined in /home/deanne/public_html/wp-includes/wp-db.php on line 992

    please advise and thanks much 😉

    carlos

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘WP 3.5, > plugin gives errors’ is closed to new replies.